Resync wireguard/wireguard-linux-compat with development

Bug #1883877 reported by Andy Whitcroft on 2020-06-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wireguard (Ubuntu)
Medium
Andy Whitcroft
Xenial
Undecided
Unassigned
Bionic
Medium
Andy Whitcroft
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned
wireguard-linux-compat (Ubuntu)
Medium
Andy Whitcroft
Xenial
Undecided
Unassigned
Bionic
Medium
Andy Whitcroft
Eoan
Medium
Andy Whitcroft
Focal
Medium
Andy Whitcroft

Bug Description

[Impact]

wireguard contains an uninitialised netlink member which could lead to unreliable operation. wireguard-linux-compat is maintained to match the upstream version which is under security review and cleanup keeping in sync with the maintainers backport provides the highest reliability and security for wireguard users.

Separately, the wireguard-linux-compat will need to go to -security; as this only produces an arch:all of the included source this is ok.

[Test Case]

Do a sanity test run using the -proposed packages and see if everything still works as expected.

[Regression Potential]

Low. This is the version in continuous and active use in the development release, it is also the version applied upstream.

[Other Info]

The upstream maintainer of this feature is only committed to support of the upstream version of the compatibility code that is contained in Ubuntu.

===

Resync our backports of wireguard and wireguard-linux-compat in focal, eoan, and bionic. Contains various compatibility fixes for older kernels.

Note these will also want to go via the security PPA so they can be released to eoan-security. This is to ensure the previous update is available to -security only users.

Andy Whitcroft (apw) on 2020-06-17
description: updated
Andy Whitcroft (apw) on 2020-06-17
Changed in wireguard (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2020-06-18
description: updated
Changed in wireguard-linux-compat (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Andy Whitcroft (apw)
Changed in wireguard (Ubuntu Bionic):
status: New → In Progress
Changed in wireguard (Ubuntu Eoan):
status: New → Invalid
Changed in wireguard (Ubuntu Focal):
status: New → Invalid
Changed in wireguard (Ubuntu Bionic):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → Medium
Changed in wireguard-linux-compat (Ubuntu Bionic):
status: New → In Progress
Changed in wireguard-linux-compat (Ubuntu Eoan):
status: New → In Progress
Changed in wireguard-linux-compat (Ubuntu Focal):
status: New → In Progress
Changed in wireguard-linux-compat (Ubuntu Bionic):
importance: Undecided → Medium
Changed in wireguard-linux-compat (Ubuntu Eoan):
importance: Undecided → Medium
Changed in wireguard-linux-compat (Ubuntu Focal):
importance: Undecided → Medium
Changed in wireguard-linux-compat (Ubuntu Bionic):
assignee: nobody → Andy Whitcroft (apw)
Changed in wireguard-linux-compat (Ubuntu Eoan):
assignee: nobody → Andy Whitcroft (apw)
Changed in wireguard-linux-compat (Ubuntu Focal):
assignee: nobody → Andy Whitcroft (apw)

Hello Andy, or anyone else affected,

Accepted wireguard-linux-compat into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireguard-linux-compat/1.0.20200611-1ubuntu1~20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in wireguard-linux-compat (Ubuntu Focal):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Andy, or anyone else affected,

Accepted wireguard-linux-compat into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireguard-linux-compat/1.0.20200611-1ubuntu1~19.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in wireguard-linux-compat (Ubuntu Eoan):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Andy, or anyone else affected,

Accepted wireguard into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireguard/1.0.20200513-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in wireguard (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in wireguard-linux-compat (Ubuntu Bionic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Andy, or anyone else affected,

Accepted wireguard-linux-compat into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireguard-linux-compat/1.0.20200611-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) on 2020-07-20
tags: added: verification-needed-focal
Andy Whitcroft (apw) on 2020-07-20
tags: added: verification-done-foca
tags: added: verification-done-focal
removed: verification-done-foca
tags: removed: verification-done-focal verification-needed-focal
Andy Whitcroft (apw) wrote :

Installed and tested on a focal system with a variety of kernels. Tested functionality against a test server. Marking verified for focal.

tags: added: verification-done-eoan verification-done-focal
Andy Whitcroft (apw) wrote :

Installed and tested on an eoan system with a variety of kernels. Tested functionality against a test server. Marking verified for eoan.

Andy Whitcroft (apw) wrote :

Installed and tested on a bionic system with a variety of kernels. Tested functionality against a test server. Marking verified for bionic.

tags: added: verification-done-bionic
removed: verification-needed-bionic

The verification of the Stable Release Update for wireguard-linux-compat has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireguard-linux-compat - 1.0.20200611-1ubuntu1~19.10.1

---------------
wireguard-linux-compat (1.0.20200611-1ubuntu1~19.10.1) eoan; urgency=medium

  * Backport latest upstream packages to focal. (LP: #1883877)
    - drop back to debhelper-compat (= 12)
  * Bodge round undetectable incompatibility between 5.3.0-51 and 5.3.0-53 ABI
    in Ubuntu. (Patch by Jason A. Donenfeld <email address hidden>).

wireguard-linux-compat (1.0.20200611-1) unstable; urgency=medium

  * New upstream release.

wireguard-linux-compat (1.0.20200520-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump DH compat to 13.

 -- Andy Whitcroft <email address hidden> Wed, 17 Jun 2020 12:07:03 +0100

Changed in wireguard-linux-compat (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireguard-linux-compat - 1.0.20200611-1ubuntu1~18.04.1

---------------
wireguard-linux-compat (1.0.20200611-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport latest upstream packages to focal. (LP: #1883877)
    - drop back to debhelper-compat (= 10)
  * Bodge round undetectable incompatibility between 5.3.0-51 and 5.3.0-53 ABI
    in Ubuntu. (Patch by Jason A. Donenfeld <email address hidden>).

wireguard-linux-compat (1.0.20200611-1) unstable; urgency=medium

  * New upstream release.

wireguard-linux-compat (1.0.20200520-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump DH compat to 13.

 -- Andy Whitcroft <email address hidden> Wed, 17 Jun 2020 12:07:03 +0100

Changed in wireguard-linux-compat (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireguard - 1.0.20200513-1~18.04.1

---------------
wireguard (1.0.20200513-1~18.04.1) bionic; urgency=medium

  * Backport latest upstream packages to bionic. (LP: #1883877)
    - drop back to debhelper-compat (= 10)

 -- Andy Whitcroft <email address hidden> Mon, 18 May 2020 06:28:18 +0100

Changed in wireguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireguard-linux-compat - 1.0.20200611-1ubuntu1~20.04.1

---------------
wireguard-linux-compat (1.0.20200611-1ubuntu1~20.04.1) focal; urgency=medium

  * Backport latest upstream packages to focal. (LP: #1883877)
    - drop back to debhelper-compat (= 12)
  * Bodge round undetectable incompatibility between 5.3.0-51 and 5.3.0-53 ABI
    in Ubuntu. (Patch by Jason A. Donenfeld <email address hidden>).

wireguard-linux-compat (1.0.20200611-1) unstable; urgency=medium

  * New upstream release.

wireguard-linux-compat (1.0.20200520-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump DH compat to 13.

 -- Andy Whitcroft <email address hidden> Wed, 17 Jun 2020 12:07:03 +0100

Changed in wireguard-linux-compat (Ubuntu Focal):
status: Fix Committed → Fix Released

Hello Andy, or anyone else affected,

Accepted wireguard into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireguard/1.0.20200513-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in wireguard (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Changed in wireguard-linux-compat (Ubuntu Xenial):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Andy, or anyone else affected,

Accepted wireguard-linux-compat into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wireguard-linux-compat/1.0.20200611-1ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Andy Whitcroft (apw) wrote :

Installed and tested in a xenial VM with various kernel versions. Tested to work with the DKMS module when needed and the builtin module when available in later versions. Marking verified.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireguard - 1.0.20200513-1~16.04.1

---------------
wireguard (1.0.20200513-1~16.04.1) xenial; urgency=medium

  * Backport latest upstream packages to xenial. (LP: #1883877)
    - drop back to debhelper-compat (= 9)

 -- Andy Whitcroft <email address hidden> Mon, 18 May 2020 06:28:18 +0100

Changed in wireguard (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wireguard-linux-compat - 1.0.20200611-1ubuntu1~16.04.1

---------------
wireguard-linux-compat (1.0.20200611-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport latest upstream packages to xenial. (LP: #1883877)
    - drop back to debhelper-compat (= 9)
  * Bodge round undetectable incompatibility between 5.3.0-51 and 5.3.0-53 ABI
    in Ubuntu. (Patch by Jason A. Donenfeld <email address hidden>).

 -- Andy Whitcroft <email address hidden> Wed, 17 Jun 2020 12:07:03 +0100

Changed in wireguard-linux-compat (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers